Error
A valid request URL is required to generate request examples[
{
"id": "abc-123",
"name": "invoice.pdf",
"description": "Q4 Invoice",
"mediaType": "application/pdf",
"size": 245678,
"state": "VALID",
"viewState": "PRIVATE",
"contentUrl": "/v1/apps/my-namespace/REC-001/attachments/abc-123/content",
"createdAt": "2026-02-03T10:30:00Z"
}
]Attachments
Get the list of attachments
GET
/
{recordType}
/
{alias}
/
{id}
/
attachments
Error
A valid request URL is required to generate request examples[
{
"id": "abc-123",
"name": "invoice.pdf",
"description": "Q4 Invoice",
"mediaType": "application/pdf",
"size": 245678,
"state": "VALID",
"viewState": "PRIVATE",
"contentUrl": "/v1/apps/my-namespace/REC-001/attachments/abc-123/content",
"createdAt": "2026-02-03T10:30:00Z"
}
]Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /oauth/token
Path Parameters
'apps', 'elements', 'tasks', or 'transactions'
The application alias
The record ID
Response
Ok
The attachment ID
The attachment filename
The attachment description
The MIME type of the attachment
The file size in bytes
The processing state of the attachment (e.g., VALID, PROCESSING, ERROR)
The visibility state of the attachment (e.g., PRIVATE, PUBLIC)
URL path to download the attachment content
When the attachment was created
Was this page helpful?